RenderDynamicMethod (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.plugins.web.controllers.metaclass

## [Java] Class RenderDynamicMethod

- org.grails.plugins.web.controllers.metaclass.RenderDynamicMethod

- Allows rendering of text, views, and templates to the response

  Authors:
    Graeme Rocher
  Since:
    0.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `APPLICATION_XML` |
    `static java.lang.String` | `ARGUMENT_BEAN` |
    `static java.lang.String` | `ARGUMENT_BUILDER` |
    `static java.lang.String` | `ARGUMENT_COLLECTION` |
    `static java.lang.String` | `ARGUMENT_CONTENT_TYPE` |
    `static java.lang.String` | `ARGUMENT_CONTEXTPATH` |
    `static java.lang.String` | `ARGUMENT_ENCODING` |
    `static java.lang.String` | `ARGUMENT_FILE` |
    `static java.lang.String` | `ARGUMENT_FILE_NAME` |
    `static java.lang.String` | `ARGUMENT_LAYOUT` |
    `static java.lang.String` | `ARGUMENT_MODEL` |
    `static java.lang.String` | `ARGUMENT_PLUGIN` |
    `static java.lang.String` | `ARGUMENT_STATUS` |
    `static java.lang.String` | `ARGUMENT_TEMPLATE` |
    `static java.lang.String` | `ARGUMENT_TEXT` |
    `static java.lang.String` | `ARGUMENT_VAR` |
    `static java.lang.String` | `ARGUMENT_VIEW` |
    `static java.lang.String` | `BUILDER_TYPE_JSON` |
    `static java.lang.String` | `DEFAULT_ARGUMENT` |
    `static java.lang.String` | `DEFAULT_ENCODING` |
    `static java.lang.String` | `DISPOSITION_HEADER_PREFIX` |
    `static java.lang.String` | `METHOD_SIGNATURE` |
    `static java.lang.String` | `TEXT_HTML` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String APPLICATION_XML

    - #### public static final java.lang.String ARGUMENT_BEAN

    - #### public static final java.lang.String ARGUMENT_BUILDER

    - #### public static final java.lang.String ARGUMENT_COLLECTION

    - #### public static final java.lang.String ARGUMENT_CONTENT_TYPE

    - #### public static final java.lang.String ARGUMENT_CONTEXTPATH

    - #### public static final java.lang.String ARGUMENT_ENCODING

    - #### public static final java.lang.String ARGUMENT_FILE

    - #### public static final java.lang.String ARGUMENT_FILE_NAME

    - #### public static final java.lang.String ARGUMENT_LAYOUT

    - #### public static final java.lang.String ARGUMENT_MODEL

    - #### public static final java.lang.String ARGUMENT_PLUGIN

    - #### public static final java.lang.String ARGUMENT_STATUS

    - #### public static final java.lang.String ARGUMENT_TEMPLATE

    - #### public static final java.lang.String ARGUMENT_TEXT

    - #### public static final java.lang.String ARGUMENT_VAR

    - #### public static final java.lang.String ARGUMENT_VIEW

    - #### public static final java.lang.String BUILDER_TYPE_JSON

    - #### public static final java.lang.String DEFAULT_ARGUMENT

    - #### public static final java.lang.String DEFAULT_ENCODING

    - #### public static final java.lang.String DISPOSITION_HEADER_PREFIX

    - #### public static final java.lang.String METHOD_SIGNATURE

    - #### public static final java.lang.String TEXT_HTML